List Bank Onramp Accounts
curl --request GET \
--url https://api.coinvoyage.io/v3/onramp/bank/accounts \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.coinvoyage.io/v3/onramp/bank/accounts"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.coinvoyage.io/v3/onramp/bank/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2026-08-25T18:30:00Z",
"deposit_instructions": {
"account_holder_name": "CoinVoyage Customer",
"account_number": "1234567890",
"bank_address": "1801 Main Street, Kansas City, MO 64108",
"bank_beneficiary_address": "111 E 5th Avenue, San Mateo, CA 94401",
"bank_beneficiary_name": "Bridge Ventures Inc.",
"bank_name": "Lead Bank",
"bic": "COBADEFFXXX",
"br_code": "00020126580014br.gov.bcb.pix0136example-key",
"bre_b_key": "CV123456789",
"clabe": "646180157034181180",
"currency": "usd",
"deposit_message": "CV-123456",
"iban": "DE89370400440532013000",
"payment_rails": [
"wire",
"ach_push"
],
"routing_number": "021000021",
"sort_code": "123456"
},
"destination": {
"currency": {
"address": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
"chain_id": 30000000000001
},
"wallet_address": "9WzDXwBbmkg8ZTbNMqUxvQRAyrZzDsGYdLVL9zYtAWWM"
},
"id": "onramp_account_123",
"source_currency": "usd",
"status": "activated",
"updated_at": "2026-08-25T18:30:05Z"
}
],
"pagination": {
"limit": 20,
"offset": 0,
"total_count": 42
}
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}{
"code": 400,
"error": "Bad Request",
"message": "Invalid request parameters"
}onramps
List Bank Onramp Accounts
Paginated list of reusable bank deposit accounts for the authenticated organization.
GET
/
onramp
/
bank
/
accounts
List Bank Onramp Accounts
Authorizations
Headers
API key for authentication
Query Parameters
Required range:
1 <= x <= 100Required range:
0 <= x <= 100000Was this page helpful?